comedi_parse_calibration_file
Prev | 5.4.3. Calibration | Next

## Name

comedi_parse_calibration_file — load contents of calibration file

## Synopsis

    #include <comedilib.h>

`comedi_calibration_t * comedi_parse_calibration_file(` | const char * file_path`)`;

## Status

alpha

## Description

This function parses a calibration file (produced by the comedi_calibrate or comedi_soft_calibrate programs) and returns a pointer to a comedi_calibration_t which can be passed to the `comedi_apply_parsed_calibration` or `comedi_get_softcal_converter` functions. When you are finished using the comedi_calibration_t, you should call `comedi_cleanup_calibration` to free the resources associated with the comedi_calibration_t.

The `comedi_get_default_calibration_path` function may be useful in conjunction with this function.

## Return value

A pointer to parsed calibration information on success, or `NULL` on failure.

Prev | Up | Next
comedi_get_softcal_converter | Home | comedi_dio_bitfield2